KDiskFreeSp Class Reference

`#include <kdiskfreesp.h>`

Inherits QObject.

## Signals

void | foundMountPoint (const QString &mountPoint, unsigned long kBSize, unsigned long kBUsed, unsigned long kBAvail)
void | foundMountPoint (const unsigned long &, const unsigned long &, const unsigned long &, const QString &)
void | done ()

## Public Member Functions

| KDiskFreeSp (QObject *parent=0, const char *name=0)
| ~KDiskFreeSp ()
int | readDF (const QString &mountPoint)

## Static Public Member Functions

static KDiskFreeSp * | findUsageInfo (const QString &path)

## Detailed Description

This class parses the output of "df" to find the disk usage information for a given partition (mount point).

Definition at line 40 of file kdiskfreesp.h.

## Constructor & Destructor Documentation

KDiskFreeSp::~KDiskFreeSp | ( |  | ) |

Destructor - this object autodeletes itself when it's done.

Definition at line 63 of file kdiskfreesp.cpp.

## Member Function Documentation

KDiskFreeSp * KDiskFreeSp::findUsageInfo | ( | const QString & | path | ) |

static

Call this to fire a search on the disk usage information for the mount point containing `path`.

foundMountPoint will be emitted if this mount point is found, with the info requested. done is emitted in any case.

Definition at line 163 of file kdiskfreesp.cpp.

int KDiskFreeSp::readDF | ( | const QString & | mountPoint | ) |

Call this to fire a search on the disk usage information for `mountPoint`.

foundMountPoint will be emitted if this mount point is found, with the info requested. done is emitted in any case.

Definition at line 80 of file kdiskfreesp.cpp.

The documentation for this class was generated from the following files:

- kdiskfreesp.h
- kdiskfreesp.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys